> For the complete documentation index, see [llms.txt](https://docs.minchat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.minchat.io/reference/message.md).

# Message

A message is a piece of text that a user can send to a conversation.

<pre class="language-javascript"><code class="lang-javascript"><strong>{
</strong>    id: "63bfe95c3c5365e628c0a4c4",
    user_id: "8843223323423",
    text: "Hit the road Jack!",
    file: {
        type: "image",
        url: "https://urltofile.com/image.jpeg",
        name: "Assignment Project",
        size: "2 MB",
    },
    chat_id: "cfhdfd3423jkf",
    created_at: "2023-01-12T11:05:00.145Z"
<strong>}
</strong></code></pre>

<table><thead><tr><th width="159">Field</th><th width="155.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>The id of the message</td></tr><tr><td><code>text</code></td><td><code>string</code></td><td>The text content of the message</td></tr><tr><td><code>file</code></td><td><a href="/pages/oo2UbYlOXoRM0U3juf9r"><code>File</code></a></td><td>The file associated with this message</td></tr><tr><td><code>created_at</code></td><td><code>string</code></td><td>The ISO Date the message was sent</td></tr><tr><td><code>user_id</code></td><td><code>string</code></td><td>The id of the user that sent the message</td></tr><tr><td><code>chat_id</code></td><td><code>string</code></td><td>the id of the chat that this message is being sent in</td></tr><tr><td><code>metadata</code></td><td><code>json object</code></td><td>an optional key value pair for any additional message information such as custom font size, font type, or <code>JSON</code> formatted string. accepts string,number and boolean values</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.minchat.io/reference/message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
